%define module mock

Name:           python-mock
Version:        1.0.1
Release:        %mkrel 3
Summary:        A Python Mocking and Patching Library for Testing

Group:          Development/Python
License:        BSD
URL:            http://www.voidspace.org.uk/python/%{module}/
Source0:        http://pypi.python.org/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools


%description
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%package -n python3-mock
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python

%description -n python3-mock
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.


%prep
%setup -q -n %{module}-%{version}

rm -rf %{py3dir}
cp -ap . %{py3dir}


%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%check
%{__python} setup.py test


%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot} 

 
%files
%doc docs/ README.txt PKG-INFO 
%{python_sitelib}/*

%files -n python3-mock
%doc docs/ README.txt PKG-INFO 
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 543635
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 498925
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 philippem <philippem> 1.0.1-1.mga4
+ Revision: 452422
- imported package python-mock

